using System;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using Krystalware.SlickUpload;
using Krystalware.SlickUpload.Status;

namespace SqlClientUploadStreamProvider
{
	public class _Default : System.Web.UI.Page 
	{
		protected System.Web.UI.WebControls.Button uploadButton;
		protected System.Web.UI.WebControls.Repeater resultsRepeater;
		protected System.Web.UI.HtmlControls.HtmlGenericControl resultsMessage;
		protected System.Web.UI.WebControls.Panel uploadResultsPanel;

		private void InitializeComponent()
		{

		}
			   
		protected void uploadButton_Click(object sender, EventArgs e)
		{
			uploadResultsPanel.Visible = true;

			UploadStatus status = HttpUploadModule.GetUploadStatus();

			if (status != null)
			{
				if (status.Reason == UploadTerminationReason.NotTerminated)
				{
					resultsMessage.InnerText = "Upload completed successfully. The following files were uploaded:";

					resultsRepeater.DataSource = status.GetUploadedFiles();
					resultsRepeater.DataBind();
				}
				else
				{
					if (status.Reason == UploadTerminationReason.Disconnected)
					{
						resultsMessage.InnerText = "Upload was cancelled.";
					}
					else
					{
						resultsMessage.InnerHtml = "Upload resulted in an error.<br />Reason:" + status.Reason.ToString() + "<br />Message:" +
							status.ErrorMessage;
					}
					resultsMessage.Style["color"] = "red";
				}
			}
		}
	}
}